Resolve a Service Appointment issue
Resolves the issue. The optional body may identify resolvedByTeamMemberId.
Resolves the issue. The optional body may identify resolvedByTeamMemberId.
Authorization<token>
Organization API key. Format: Bearer sk_live_...
In: header
Path Parameters
id*string
Service Appointment identifier returned by the Organization API.
issueId*string
ISSUE ID path identifier.
Request Body
application/json
JSON request payload for resolveServiceAppointmentIssue.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/service-appointments/string/issues/string/resolve" \ -H "Content-Type: application/json" \ -d '{ "resolvedByTeamMemberId": "team_member_123" }'{ "data": { "action": { "confirmed": true, "confirmationSignal": "string" }, "resource": {} }, "meta": { "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}